"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CheckBoxControl = CheckBoxControl;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireWildcard(require("react"));
var _uikit = require("@gravity-ui/uikit");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
var _excluded = ["value", "onChange"],
  _excluded2 = ["children"];
function CheckBoxControl(_ref) {
  var value = _ref.value,
    onChange = _ref.onChange,
    props = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var onCheckBoxChange = (0, _react.useCallback)(function () {
    return onChange(!value);
  }, [onChange, value]);
  var _ref2 = props || {},
    children = _ref2.children,
    rest = (0, _objectWithoutProperties2.default)(_ref2, _excluded2);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_uikit.Checkbox, (0, _objectSpread2.default)((0, _objectSpread2.default)({
    onChange: onCheckBoxChange,
    size: "l"
  }, rest), {}, {
    checked: value,
    children: children
  }));
}
CheckBoxControl.getDefaultValue = function () {
  return false;
};
CheckBoxControl.isEmpty = function (value) {
  return typeof value !== 'boolean' || !value;
};
// #sourceMappingURL=CheckBoxControl.js.map
// #sourceMappingURL=CheckBoxControl.js.map