"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TextControl = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));
var _isNativeReflectConstruct2 = _interopRequireDefault(require("@babel/runtime/helpers/isNativeReflectConstruct"));
var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));
var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));
var _react = _interopRequireWildcard(require("react"));
var _cn = require("../../helpers/cn");
var _uikit = require("@gravity-ui/uikit");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
var _excluded = ["value", "onChange"];
function _callSuper(t, o, e) {
  return o = (0, _getPrototypeOf2.default)(o), (0, _possibleConstructorReturn2.default)(t, (0, _isNativeReflectConstruct2.default)() ? Reflect.construct(o, e || [], (0, _getPrototypeOf2.default)(t).constructor) : o.apply(t, e));
}
var block = (0, _cn.dfCN)('text-control');
var TextControl = exports.TextControl = /*#__PURE__*/function (_Component) {
  function TextControl() {
    (0, _classCallCheck2.default)(this, TextControl);
    return _callSuper(this, TextControl, arguments);
  }
  (0, _inherits2.default)(TextControl, _Component);
  return (0, _createClass2.default)(TextControl, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
        value = _this$props.value,
        onChange = _this$props.onChange,
        rest = (0, _objectWithoutProperties2.default)(_this$props, _excluded);
      var empty = TextControl.isEmpty(value);
      return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: block({
          empty: empty
        }),
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_uikit.TextInput, (0, _objectSpread2.default)((0, _objectSpread2.default)({
          hasClear: true
        }, rest), {}, {
          autoComplete: false,
          onUpdate: onChange,
          value: value
        }))
      });
    }
  }], [{
    key: "getDefaultValue",
    value: function getDefaultValue() {
      return '';
    }
  }, {
    key: "isEmpty",
    value: function isEmpty(value) {
      return !value;
    }
  }]);
}(_react.Component);
TextControl.hasErrorRenderer = true;
// #sourceMappingURL=TextControl.js.map
// #sourceMappingURL=TextControl.js.map