"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.Primary = exports.Disabled = void 0;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));
var _isNativeReflectConstruct2 = _interopRequireDefault(require("@babel/runtime/helpers/isNativeReflectConstruct"));
var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));
var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));
var _react = _interopRequireDefault(require("react"));
var _index = require("../index");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _callSuper(t, o, e) {
  return o = (0, _getPrototypeOf2.default)(o), (0, _possibleConstructorReturn2.default)(t, (0, _isNativeReflectConstruct2.default)() ? Reflect.construct(o, e || [], (0, _getPrototypeOf2.default)(t).constructor) : o.apply(t, e));
}
var MultiText = /*#__PURE__*/function (_React$Component) {
  function MultiText() {
    var _this;
    (0, _classCallCheck2.default)(this, MultiText);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _callSuper(this, MultiText, [].concat(args));
    _this.state = {
      data: [{
        name: 'one'
      }, {
        name: 'two'
      }, {
        name: 'some-very-long-long-long-long-long-long-long-long-long-long-long-long-long-long-long-long-long-long-long-long-long-long-long-long-label'
      }, {
        name: 'three'
      }, {
        name: 'four'
      }, {
        name: 'five'
      }]
    };
    _this.onChange = function (data) {
      _this.setState({
        data: data
      });
    };
    return _this;
  }
  (0, _inherits2.default)(MultiText, _React$Component);
  return (0, _createClass2.default)(MultiText, [{
    key: "render",
    value: function render() {
      return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        style: {
          maxWidth: 300
        },
        children: ["Tags:", /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.MultiTextControl, (0, _objectSpread2.default)((0, _objectSpread2.default)({}, this.props), {}, {
          value: this.state.data,
          onChange: this.onChange
        }))]
      });
    }
  }]);
}(_react.default.Component);
var _default = exports.default = {
  title: 'Components/MultiTextControl',
  component: MultiText
};
var Template = function Template(args) {
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(MultiText, (0, _objectSpread2.default)({}, args));
};
var Primary = exports.Primary = Template.bind({});
Primary.args = {
  initialValue: []
};
var Disabled = exports.Disabled = Template.bind({});
Disabled.args = {
  initialValue: [],
  disabled: true
};
// #sourceMappingURL=MultiTextControl.stories.js.map
// #sourceMappingURL=MultiTextControl.stories.js.map