"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RadioButtonControl = RadioButtonControl;
var _objectSpread2 = _interopRequireDefault(require("@babel/runtime/helpers/objectSpread2"));
var _objectWithoutProperties2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));
var _react = _interopRequireWildcard(require("react"));
var _map = _interopRequireDefault(require("lodash/map"));
var _uikit = require("@gravity-ui/uikit");
var _jsxRuntime = require("react/jsx-runtime");
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
var _excluded = ["value", "onChange"],
  _excluded2 = ["options", "size"];
RadioButtonControl.getDefaultValue = function () {
  return '';
};
RadioButtonControl.isEmpty = function (value) {
  return typeof value !== 'string' || !value;
};
function RadioButtonControl(_ref) {
  var value = _ref.value,
    onChange = _ref.onChange,
    props = (0, _objectWithoutProperties2.default)(_ref, _excluded);
  var onRadioChange = (0, _react.useCallback)(function (evt) {
    return onChange(evt.target.value);
  }, [onChange]);
  var _props$options = props.options,
    options = _props$options === void 0 ? [] : _props$options,
    _props$size = props.size,
    size = _props$size === void 0 ? 'm' : _props$size,
    rest = (0, _objectWithoutProperties2.default)(props, _excluded2);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_uikit.SegmentedRadioGroup, (0, _objectSpread2.default)((0, _objectSpread2.default)({}, rest), {}, {
    size: size,
    value: value,
    onChange: onRadioChange,
    children: (0, _map.default)(options, function (_ref2) {
      var value = _ref2.value,
        label = _ref2.label;
      return /*#__PURE__*/(0, _jsxRuntime.jsx)(_uikit.SegmentedRadioGroup.Option, {
        value: value,
        children: label
      }, value);
    })
  }));
}
// #sourceMappingURL=RadioButtonControl.js.map
// #sourceMappingURL=RadioButtonControl.js.map