import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _isNativeReflectConstruct from "@babel/runtime/helpers/isNativeReflectConstruct";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
var _excluded = ["value", "onChange"];
function _callSuper(t, o, e) { return o = _getPrototypeOf(o), _possibleConstructorReturn(t, _isNativeReflectConstruct() ? Reflect.construct(o, e || [], _getPrototypeOf(t).constructor) : o.apply(t, e)); }
import React, { Component } from 'react';
import { TextArea } from '@gravity-ui/uikit';
import { dfCN } from '../../helpers/cn';
import './TextAreaControl.css';
import { jsx as _jsx } from "react/jsx-runtime";
var block = dfCN('field-textarea');
export var TextAreaControl = /*#__PURE__*/function (_Component) {
  function TextAreaControl() {
    _classCallCheck(this, TextAreaControl);
    return _callSuper(this, TextAreaControl, arguments);
  }
  _inherits(TextAreaControl, _Component);
  return _createClass(TextAreaControl, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
        value = _this$props.value,
        onChange = _this$props.onChange,
        rest = _objectWithoutProperties(_this$props, _excluded);
      return /*#__PURE__*/_jsx(TextArea, _objectSpread(_objectSpread({
        className: block(),
        autoComplete: false,
        hasClear: true,
        rows: 4
      }, rest), {}, {
        value: value,
        onUpdate: onChange
      }));
    }
  }], [{
    key: "getDefaultValue",
    value: function getDefaultValue() {
      return '';
    }
  }, {
    key: "isEmpty",
    value: function isEmpty(value) {
      return !value;
    }
  }]);
}(Component);
TextAreaControl.hasErrorRenderer = true;
// #sourceMappingURL=TextAreaControl.js.map