import _objectSpread from "@babel/runtime/helpers/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
import _classCallCheck from "@babel/runtime/helpers/classCallCheck";
import _createClass from "@babel/runtime/helpers/createClass";
import _possibleConstructorReturn from "@babel/runtime/helpers/possibleConstructorReturn";
import _isNativeReflectConstruct from "@babel/runtime/helpers/isNativeReflectConstruct";
import _getPrototypeOf from "@babel/runtime/helpers/getPrototypeOf";
import _inherits from "@babel/runtime/helpers/inherits";
var _excluded = ["value", "onChange"];
function _callSuper(t, o, e) { return o = _getPrototypeOf(o), _possibleConstructorReturn(t, _isNativeReflectConstruct() ? Reflect.construct(o, e || [], _getPrototypeOf(t).constructor) : o.apply(t, e)); }
import React, { Component } from 'react';
import { dfCN } from '../../helpers/cn';
import { TextInput } from '@gravity-ui/uikit';
import { jsx as _jsx } from "react/jsx-runtime";
var block = dfCN('text-control');
export var TextControl = /*#__PURE__*/function (_Component) {
  function TextControl() {
    _classCallCheck(this, TextControl);
    return _callSuper(this, TextControl, arguments);
  }
  _inherits(TextControl, _Component);
  return _createClass(TextControl, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
        value = _this$props.value,
        onChange = _this$props.onChange,
        rest = _objectWithoutProperties(_this$props, _excluded);
      var empty = TextControl.isEmpty(value);
      return /*#__PURE__*/_jsx("div", {
        className: block({
          empty: empty
        }),
        children: /*#__PURE__*/_jsx(TextInput, _objectSpread(_objectSpread({
          hasClear: true
        }, rest), {}, {
          autoComplete: false,
          onUpdate: onChange,
          value: value
        }))
      });
    }
  }], [{
    key: "getDefaultValue",
    value: function getDefaultValue() {
      return '';
    }
  }, {
    key: "isEmpty",
    value: function isEmpty(value) {
      return !value;
    }
  }]);
}(Component);
TextControl.hasErrorRenderer = true;
// #sourceMappingURL=TextControl.js.map